/************************************************/
body{
    font-family: "Source Sans 3";
    background-color: #F8F8F9;
}

#cc-brand.visa {
    background: url("../img/visa.png") no-repeat;
    background-size: 70px;
    background-position-y: 50%;
}

#cc-brand.bcmc {
    background: url("../img/bcmc.png") no-repeat;
    background-size: 70px;
    background-position-x: 99%;
    background-position-y: 50%;
}

#cc-brand.maestro {
    background: url("../img/maestro.png") no-repeat;
    background-size: 70px;
    background-position-x: 99%;
    background-position-y: 50%;
}

#cc-brand.mastercard {
    background: url("../img/mastercard.png") no-repeat;
    background-size: 70px;
    background-position-x: 99%;
    background-position-y: 50%;
}

#cc-brand.amex {
    background: url("../img/amex.png") no-repeat;
    background-size: 40px;
    background-position-x: 99%;
    background-position-y: 50%;
}

#cc-brand {
    position: absolute;
    top: 10px;
    right: 5px;
    width: 25%;
    height: 100%;
}

.payment-block {
    margin-top: 25%;
    position: relative;
}

.payment-block-info {
    margin-top: 30px;
}

.payment-block-info-summary {
    width: 100%;
    padding: 0 15px;
    float: left;
    text-align: center;
    position: relative;
}

.payment-block-info-summary p {
    font-weight: 400;
    padding-top: 10px;
}

.payment-block-info-column {
    width: 50%;
    padding: 0 15px;
    float: left;
    text-align: center;
    position: relative;
}

.payment-block-info-column span {
    display: block;
    text-transform: uppercase;
}

.payment-block-info-column p {
    font-weight: 700;
    padding-top: 10px;
}

.payment-block-info-column:first-child {
    border-right: 1px dashed #9A9DA2;
}

.payment-block-info-column:first-child p {
    font-size: 24px;
    color: #0395FF;
    padding-top: 0;
}

.payment-block-form {
    margin: 25px 0;
    padding: 30px;
    background: #FFFFFF;
    border-radius: 0 30px;
    -webkit-box-shadow: 1px 4px 12px -2px rgba(153,153,153,0.56);
    -moz-box-shadow: 1px 4px 12px -2px rgba(153,153,153,0.56);
    box-shadow: 1px 4px 12px -2px rgba(153,153,153,0.56);
}

.payment-block-form input {
    width: 100%;
    padding: 15px 15px 15px 50px;
    border: 1px solid #D9DADC;
    border-radius: 4px;
    background: #FFFFFF;
    height: 48px;
}

.payment-block-form input:hover{
    border: 1px solid #42B0FF;
}

.payment-block-form input:active{
    border: 1px solid #0395FF;
}

.payment-block-form input:focus, .payment-block-form input:focus-visible{
    border: 1px solid #0395FF;
    box-shadow: 0px 0px 0px 4px rgba(3, 149, 255, 0.15);
    outline-style: unset;
}

.div-exp #cc-exp {
    border-radius: 4px 0px 0px 4px;
}

.div-cvc #cc-cvc {
    border-radius: 0px 4px 4px 0px
}

.payment-block-form img {
    position: absolute;
    top: 14px;
    right: 14px;
}

.payment-block-form label {
    margin: 0;
}

.payment-block-form label.visible {
    display: block;
}

.payment-block-form #cardForm i {
    position: absolute;
    top: 30px;
    left: 10px;
    font-size: 27px;
    z-index: 2;
}

.payment-block-form-input {
    position: relative;
    margin-bottom: 10px;
    text-align: left;
}

@media only screen and (max-width: 760px) {
    .payment-block-form-input-half .payment-block-form-input {
        width: 100%;
        float: left;
    }
}

@media only screen and (min-width: 761px) {
    .payment-block-form-input-half .payment-block-form-input {
        width: 49%;
        float: left;
    }
}

.payment-block-form-input-half .payment-block-form-input:first-child {
    margin-right: 5px;
}

.payment-block-form-button input {
    width: 100%;
    padding: 15px;
    background: #0395FF;
    color: #fff;
    text-transform: uppercase;
    font-weight: 700;
    border: 0;
    cursor: pointer;
}

.payment-block-form-button input:hover {
    background: #0376DE;
}

.payment-block-form-button input:focus {
    background: #0395FF;
    border: 1px solid #0376DE;
    box-shadow: 0px 0px 0px 4px rgba(3, 149, 255, 0.15);
}

.payment-block-form-button.branded input {
    background: #00B272;
}

.exp-date input:focus {
    position: relative;
    z-index: 1;
}

.payment-block-cancel {
    text-align: center;
}

.payment-block-cancel a {
    color: #999;
    text-decoration: underline;
    font-size: 13px;
}

/*** ERROR STATE ***/
.payment-block-form-input.error input  {
    border: 1px solid #ED1C24;
}

.payment-block-form-input.error label{
    color: #ED1C24;
}

/*** CCV LOGO ***/
.payment-block-brand {
    width: 50%;
    position: absolute;
    right: 0;
}

.payment-block-brand img {
    max-width: 100%;
}

/*** TOOLTIP ***/
.payment-block-form .help i {
    color: #0395FF;
    right: 15px;
    left: inherit!important;
    cursor: help;
}

.payment-block-form .help:hover .info-tooltip {
    display: block;
}

.info-tooltip {
    display: none;
    position: absolute;
    right: -15px;
    bottom: 50px;
    z-index: 10;
    background: #fff;
    padding: 30px;
    border-radius: 4px;
    box-shadow: 0 6px 20px 0 rgba(0, 0, 0, 0.19), 0 8px 17px 0 rgba(0, 0, 0, 0.2);
}

.info-tooltip::after {
    position: absolute;
    right: 29px;
    bottom: -10px;
    z-index: 20;
    content: '';
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 10px 10px 0 10px;
    border-color: #F8F8F9 transparent transparent transparent;
}

.info-tooltip p {
    text-align: center;
    margin-bottom: 15px;
    font-size: 16px;
}

.info-tooltip img {
    position: static;
    top: inherit;
    right: inherit;
}

.info-tooltip.both {
    width: 310px;
}

.info-tooltip.both p {
    text-align: left;
    margin-bottom: 30px;
}

.info-tooltip.both img {
    float: left;
    margin-left: 10px;
}

.info-tooltip.both p + img {
    margin-left: 0;
}

/* Changes 04-08-2017 CCV Shop Thijs Wemekamp */
#submit-button {
    margin-top: 10px;
    border-radius: 100px;
}
#template_body {
    max-width: 1000px;
    margin: 0 auto;
    display: block;
}
#template_body .bancontact {
    border: 1px solid #D9DADC;
    width: 100%;
    background: #FFFFFF;
    min-height: 430px;
    margin: 25px 0 30px;
    padding: 30px;
    border-radius: 4px;
    -webkit-box-shadow: 1px 4px 12px -2px rgba(153,153,153,0.56);
    -moz-box-shadow: 1px 4px 12px -2px rgba(153,153,153,0.56);
    box-shadow: 1px 4px 12px -2px rgba(153,153,153,0.56);
}
#template_body .bancontact .open-app {
    color: #0395FF;
    background: #F8F8F9;
    text-align: center;
    padding: 15px 0;
    display: block;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    border-radius: 100px;
}

#template_body .bancontact .open-app:hover,.open-app:focus {
    color: #0376DE;
}

#template_body .bancontact .code-button {
    margin: 13% 0;
}
#template_body .bancontact .scan-code {
    text-align: center;
    margin-top: 20px;
    height: 2em;
}

#template_body .bancontact .qr-code-background {
    background-color: white;
    display: inline-grid;
    display: -ms-inline-grid;
    margin: 5% auto 0;
}

#template_body .bancontact .qr-code-background a {
    grid-column: 1;
    grid-row: 1;
    -ms-grid-column: 1;
    -ms-grid-row: 1;
}

#template_body .bancontact img {
    grid-column: 1;
    grid-row: 1;
    -ms-grid-column: 1;
    -ms-grid-row: 1;
    display:block;
    background: #FFFFFF;
    padding: 10px;
}

#template_body .bancontact img.blur {
    -webkit-filter: blur(2px);
    filter: blur(2px);
    opacity: 0.8;
}

#template_body .payment-block-form {
    border: 1px solid #D9DADC;
    border-radius: 4px;
}
#template_body h3 {
    color: #33373D;
    margin-top: 50px;
    padding-bottom: 15px;
    margin-bottom: 15px;
}

#template_body .payment-center {
    position: relative;
    float: left;
}
#template_body .payment-center span {
    border: 1px solid #9A9DA2;
    border-radius: 50%;
    background: #fff;
    left: -25px;
    position: absolute;
    font-size: 14px;
    width: 48px;
    height: 48px;
    line-height: 47px;
    text-align: center;
}
#template_body td {
    padding: 5px 15px;
    vertical-align: top!important;
}
#template_body .content-middle p {
    font-size: 16px;
    text-align: left;
}
#template_body .content-middle .col-sm-6 > p {
    display: inline-block;
    margin-top: 11px;
    margin-bottom: 0;
}

#template_body .material-symbols-outlined.desktop {
    font-size: 45px;
    margin-top: -3px;
}
#template_body .material-symbols-outlined.desktop {
    font-size: 35px;
    margin-top: -2px;
}
#template_body .material-symbols-outlined.desktop, #template_body .material-symbols-outlined.desktop {
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
}
#template_body .border-right {
    border-right: 1px dashed #9A9DA2;
}
#template_body .no-padding {
    padding: 0!important;
}
#template_body .payment-footer a {
    color: #0395FF;
    margin: 20px 0;
    display: block;
    text-decoration: underline;
}

#template_body .payment-footer a:hover {
    color: #0376DE;
}

#template_body .payment-footer img {
    margin-bottom: 20px;
    width: 100px;
}

@media (max-width:991px){
    #template_body .bancontact img {
        max-width: 180px;
    }

    #template_body .cssloader {
        margin: 44px;
        font-size: 9px;
    }
}
@media (max-width:767px){
    .content-middle br {
        display: none;
    }
    #template_body .bancontact {
        min-height: auto;
        padding: 15px;
        background: #F8F8F9;
        border-color: #D9DADC;
        margin-bottom: 50px;
    }
    #template_body .bancontact .border-right {
        border-right: 0 !important;
    }
    #template_body .bancontact .open-app {
        color: #F8F8F9;
        background: #0395FF;
        padding: 15px;
        text-transform: uppercase;
        font-weight: 700;
        font-size: 14px;
    }

    #template_body .bancontact .open-app:hover,.open-app:focus {
        background: #0376DE;
    }

    #template_body .bancontact p.text-center {
        margin: 15px auto 25px;
    }
    #template_body .payment-block-form.status p.text-center {
        margin: 0px auto 30px;
    }
}

/* source: https://github.com/lukehaas/css-loaders */
.cssloader,
.cssloader:after {
    border-radius: 50%;
    width: 10em;
    height: 10em;
}
.cssloader {
    grid-column: 1;
    grid-row: 1;
    -ms-grid-column: 1;
    -ms-grid-row: 1;
    margin: 60px;
    font-size: 10px;
    z-index: 2;
    text-indent: -9999em;
    border-top: 1.1em solid rgba(217, 218, 220, 0.9);
    border-right: 1.1em solid rgba(217, 218, 220, 0.9);
    border-bottom: 1.1em solid rgba(217, 218, 220, 0.9);
    border-left: 1.1em solid #686C74;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load8 1.1s infinite linear;
    animation: load8 1.1s infinite linear;
}
@-webkit-keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@media only screen and (max-width: 410px) {
    #cc-brand {
        display: none;
    }
    #cc-storeinvaultpermission-bep {
        color: #333 !important;
    }
}

/* Changes 04-08-2017 CCV Shop Thijs Wemekamp */

/* Fixed loading indicator overlay */
.loading-indicator-wrapper {
    position: fixed;
}

#cc-store-in-vault-permission {
    height: 20px;
}

#cc-store-in-vault-permission-check {
    width: inherit;
    height: fit-content;
    position: relative;
    vertical-align: top;
    margin-right: 6px;
    top: -1px;
}

.paymentmethod-selection-radio-buttons {
    display: flex;
    gap: 10px;
    padding-bottom: 10px;
    padding-left: 14px;
}

.paymentmethod-selection-radio-buttons input[type="radio"] {
    position: absolute;
    visibility: hidden;
}

.paymentmethod-selection-radio-buttons >div>label {
    cursor: pointer;
}

.paymentmethod-selection-radio-buttons >div>label>img {
    width: 78px;
    height: 48px;
    top: 0;
    position: relative;
    padding: 4px 16px;
    border-radius: 4px;
    background: #FFF;
    border: 3px solid transparent;
    box-shadow: 0px 1px 2px 0px rgba(48, 52, 59, 0.20), 0px 4px 20px 0px rgba(48, 52, 59, 0.02);
}

.paymentmethod-selection-radio-buttons input[type="radio"]:checked + label>img {
    border: 3px solid #0395FF;
}

.paymentmethod-selection-radio-buttons input[type="radio"]:focus + label>img {
    border: 1px solid #0395FF;
    box-shadow: 0px 0px 0px 4px rgba(3, 149, 255, 0.15);
    outline-style: unset;
}
